Skip to main content
POST
/
api-tools
/
tool
/
create
/
{instance}
Create an API tool
curl --request POST \
  --url https://api.zapthinker.com/api-tools/tool/create/{instance} \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "apiConnectionId": "<string>",
  "name": "<string>",
  "description": "<string>",
  "path": "<string>",
  "method": "GET",
  "queryParams": {},
  "bodySchema": {},
  "pathParams": {},
  "headers": {},
  "responseMapping": {},
  "timeoutMs": 30500,
  "enabled": true
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.zapthinker.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

Your authorization key header

Path Parameters

instance
string
required

Nome da instância

Body

application/json
apiConnectionId
string
required

ID da conexão de API

name
string
required

Nome da ferramenta

description
string
required

Descrição da ferramenta (usada pelo LLM)

path
string
required

Caminho do endpoint

method
enum<string>
Available options:
GET,
POST,
PUT,
PATCH,
DELETE
queryParams
object

Schema dos query parameters

bodySchema
object

Schema do body da requisição

pathParams
object

Schema dos path parameters

headers
object

Headers adicionais

responseMapping
object

Mapeamento da resposta

timeoutMs
integer

Timeout em ms

Required range: 1000 <= x <= 60000
enabled
boolean

Response

Ferramenta criada com sucesso

The response is of type object.